Loading...
Searching...
No Matches
XrdHttpExtHandler.hh File Reference
`#include <map>`
`#include <string>`
`#include "XrdNet/XrdNetPMark.hh"`
Include dependency graph for XrdHttpExtHandler.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdHttpExtHandler
class | XrdHttpExtReq

## Macros

#define | XrdHttpExtHandlerArgs

## Functions

XrdHttpExtHandler * | XrdHttpGetExtHandler (XrdHttpExtHandlerArgs)

## Macro Definition Documentation

## XrdHttpExtHandlerArgs

#define XrdHttpExtHandlerArgs

Value:
XrdSysError *eDest, \
const char *confg, \
const char *parms, \
XrdOucEnv *myEnv
eDest
static XrdSysError eDest(0,"crypto_")
XrdOucEnv
Definition XrdOucEnv.hh:42
XrdSysError
Definition XrdSysError.hh:90

Definition at line 148 of file XrdHttpExtHandler.hh.

#define XrdHttpExtHandlerArgs XrdSysError *eDest, \
const char *confg, \
const char *parms, \
XrdOucEnv *myEnv

Referenced by XrdHttpGetExtHandler().

## Function Documentation

## XrdHttpGetExtHandler()

XrdHttpExtHandler * XrdHttpGetExtHandler | ( | XrdHttpExtHandlerArgs |  | ) |

References XrdHttpExtHandlerArgs.

Referenced by XrdVERSIONINFO(), and XrdVERSIONINFO().

Here is the caller graph for this function: